Page MenuHomePhabricator

Crosswatch gives a server-error after login: "No watchlist could be retrieved"
Open, HighPublic

Description

Crosswatch is giving a server error, can't reach the server. Something wrong with the way it contacts the databases?

Event Timeline

Akoopal created this task.Aug 27 2016, 8:18 AM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptAug 27 2016, 8:18 AM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptOct 5 2016, 11:25 AM

This task is vague enough that it's probably about something else than I expected in my last comment, namely that after logging in via OAuth, I get the following error:

Server failure
No watchlist could be retrieved. This is an internal server error, please open a bug report if the problem persists.

Aklapper renamed this task from Crosswatch gives a server-error to Crosswatch gives a server-error after login: "No watchlist could be retrieved".Oct 5 2016, 11:33 AM
Elitre added a subscriber: Elitre.Oct 13 2016, 1:33 PM

(For those wondering, the listed maintainer has been inactive for over a year now.)

For me, https://tools.wmflabs.org/crosswatch/ loads a bunch of javascript and then redirects to https://tools.wmflabs.org/crosswatch/welcome. When I authenticate using OAuth it starts loading my watchlist(s) and then errors with:

Server failure

No watchlist could be retrieved. This is an internal server error, please open a bug report if the problem persists.

Tailing all of the obvious error log files in /data/project/crosswatch provides no useful data. The tool itself is licensed under an OSI-approved license so if the Tool Labs community approves a solution for T87730: Set up process / criteria for taking over abandoned tools which is currently being voted on at meta then it may be possible for a group of interested developers to jump in an try to debug further.

For me gives it the exact same error. Can someone solve it?

For me gives it the exact same error. Can someone solve it?

At the moment I think that @Sitic is probably the only person who could fix things. As @Elitre pointed out they seem to have not been around for a while.

I've reached out to @Sitic about this. Hopefully we'll hear back soon.

Base added a subscriber: Base.Dec 16 2016, 4:59 PM
Ata added a subscriber: Ata.Jan 19 2017, 12:36 PM

Too bad to continue seeing "Server failure"

Same problem here. When the server error pops up, the JavaScript console goes: "No websocket message after 20 seconds."

Sophivorus triaged this task as High priority.Jan 27 2017, 9:22 PM

I'm setting this as high priority because the entire app depends on it! And it's a very useful, requested and advanced app.

I'm setting this as high priority because the entire app depends on it! And it's a very useful, requested and advanced app.

According to https://tools.wmflabs.org/?tool=crosswatch, @Sitic is the only maintainer of the current tool, and they have not responded to this bug in the last 5 months. I don't think raising the priority is going to change that, but I would love to be proven wrong.

Luckily the source is available (rTCRW labs/tools/crosswatch) and has a clear license. This gives the opportunity for an interested volunteer to step up and attempt to replace the tool with a fork. The more drastic step of requesting adoption of the existing tool is also available, but I'd recommend at least proving that a working version can be built before jumping into that discussion with the Toolforge-standards-committee.

mxn added a subscriber: mxn.Nov 10 2018, 10:16 PM
He7d3r added a subscriber: He7d3r.Nov 25 2018, 1:38 PM
OriHoch claimed this task.Feb 17 2019, 9:19 AM
OriHoch added a subscriber: OriHoch.

Hey everyone, I started looking into this, there were quite a few problems to get a local version running, mostly due to old / incompatible / non-existent packages

I got a version working using Docker here - https://github.com/OriHoch/wikimedia-crosswatch/commit/cbe43385e749ca22ba4e7e7fe757121a19103740

I couldn't get the frontend assets to build, so I just downloaded the compiled assets from the live site and using them (hopefully, won't have to do any frontend fixes, as problems appears to be on server-side)

Now, I just need access to toolforge so I can test and fix this problem.

Alternatively - is there a way to test toolforge locally?

To get access to toolforge, see https://wikitech.wikimedia.org/wiki/Help:Getting_Started

That doesn't give you access to the tool itself, but as said, better to just get it working first, maybe on a second tool-account, for the toolforge basics see https://wikitech.wikimedia.org/wiki/Help:Toolforge

Once working you might request to take over the tool-account.

Good luck, and thanks for the willingness to look into this.

@Sitic if you are by any chance available to clarify some things that will be great 👍

Dvorapa added a comment.EditedFeb 22 2019, 1:53 PM

@OriHoch I also applied for abandoned tool to make me a maintainer and fixed the tool lately. I can help with anything if you will struggle, don't bother to ask me

@Akoopal I also applied for abandoned tool to make me a maintainer and fixed the tool lately. I can help with anything if you will struggle, don't bother to ask me

hi, I did not fully understand your comment, are you saying you fixed the crosswatch tool already? if yes, it would be very helpful if you could post your fixed code

Dvorapa added a comment.EditedFeb 22 2019, 2:28 PM

@OriHoch No, I fixed a different tool, but I have experience so I can definitively help with any struggle. btw what/where could be the problem in the code, does anybody know?

great, thanks a lot @Dvorapa for your help! I'll let you know if I have specific problems

I published the code on GitHub: https://github.com/OriHoch/wikimedia-crosswatch

crosswatch uses an oauth consumer key for login, all docs seem to point to this page to request a key, but it is not available (I'm getting unauthorized on that page): https://meta.wikimedia.org/wiki/Special:OAuthConsumerRegistration/propose

any help would be appreciated

Dvorapa added a comment.EditedMar 3 2019, 3:41 PM

crosswatch uses an oauth consumer key for login, all docs seem to point to this page to request a key, but it is not available (I'm getting unauthorized on that page): https://meta.wikimedia.org/wiki/Special:OAuthConsumerRegistration/propose
any help would be appreciated

Are you getting unauthorized when submitting the form or you can not see the form on that page at all? Have you got the Toolforge membership already (https://wikitech.wikimedia.org/wiki/Help:Getting_Started#Get_started_with_Toolforge)?

@OriHoch: Could you answer the questions in the last comment please? Thanks in advance!

Aschroet removed a subscriber: Aschroet.Apr 7 2019, 7:21 AM

Hi, sorry for the delay in reply. The problem was that the page is accessible only after making 5 edits on meta.wikimedia..

I got what I need now, hopefully I'll have some updates on this issue soon

OriHoch added a comment.EditedApr 18 2019, 12:34 PM

I published some fixes here: https://github.com/OriHoch/wikimedia-crosswatch/commits/master

I deployed it but there are still some problems: https://crosswatch.k972il.com/crosswatch/

  1. waiting to get oauth consumer request to be approved - until it's approved you will get permission denied error for viewing your watchlist
  2. code for getting list of user wikis needs to be fixed, currently it's hard-coded to use en and he wikis for testing
OriHoch added a comment.EditedApr 19 2019, 6:05 AM

deployed here: https://crosswatch.k972il.com/crosswatch/

still some problems as described above, but it works

:)

To overcome the problem with getting list of user wikis I added a manual wiki selection page which appears after log-in

You have to input a list of wiki ids which you have a watchlist for. To change the wiki selection, log-out and back in.

My oauth consumer request is not approved yet, but it works for me.

It is deployed here: https://crosswatch.k972il.com/crosswatch/

The deployment is based on a Helm chart, in case you want to deploy on wikimedia infrastructure: https://github.com/OriHoch/wikimedia-crosswatch/tree/master/helm/crosswatch

This is the pending oauth request: https://meta.wikimedia.org/wiki/Special:OAuthListConsumers/view/28e50e47bd2b58e5a2f14d6bfbd7ecb7

Ata awarded a token.May 21 2019, 10:44 AM

@OriHoch I'm so happy you decided to take on fixing this tool! Having so many different watchlists is a daily pain. Please keep it up!

Today I tried accessing https://crosswatch.k972il.com/crosswatch
First I got a grey screen and a couple JavaScript errors.
However, for some reason, after a few reloads the Welcome screen loaded, but when I tried to "Sign in with OAuth" I got the following error:
"crosswatchfix" is not approved as a Connected App. Contact the application author for help.
I guess you're still working on this. Just wanted to give some feedback and thank you again and again for your effort!

In the meanwhile, I've created a global watchlist user script - see https://en.wikipedia.org/wiki/User:DannyS712/Global_watchlist

Elitre removed a subscriber: Elitre.Aug 29 2019, 9:09 AM